﻿xnviewmp-install
================

Sur les plateformes Debian, Ubuntu, Linux Mint, pour installer une version récente de **XnViewMP**, vous devez le faire directement depuis le fichier `deb` provenant du site de l’auteur.

Voici un script qui recherchera pour la dernière version de **XnViewMP** correspondant à votre plateforme et l’installera. Ce script supprimera d’éventuelles autres versions qui serait présentent sur votre système avant l’installation de la nouvelle version.

Attention : Il n’existe plus de version récente d’**XnViewMP** pour les architectures 32 bits. Les architectures ARM ne sont pas prises en charge.

-----

## Utilisation typique

```bash
sudo ./xnviewmp-install.sh -i
```

Le script recherchera la dernière version pour votre architecture et l’installera :

Si vous ne souhaitez pas installer le script sur votre machine, vous pouvez utiliser la syntaxe suivante :

```bash
curl -s https://git.cclaude.rocks/installers/xnviewmp-install/raw/branch/master/xnviewmp-install.sh | sudo bash
```

-----

## Autre usages

* Afficher l’aide :

```bash
./xnviewmp-install.sh --help
```

* Afficher la liste de toutes les numéros de version disponible sur le site de **XnViewMP** :

```bash
./xnviewmp-install.sh --list
```

* Afficher la liste de toutes les numéros de version disponible sur le site de **XnViewMP** en incluant le type d’architecture :

```bash
./xnviewmp-install.sh --list-fullname
```

* Télécharge et installe **XnViewMP** :

```bash
./xnviewmp-install.sh --install [--home DIR] [--version VER|--last-default-version]
```

Par défaut (si les options _--version_ et _--last-default-version_ ne sont pas présentes), la version est calculée
à partir du contenu de la page de téléchargement (télécharge que si nécessaire, installe que si nécessaire)/(meilleur choix)

-----

## Options

* `--last-default-version` le fichier à installer sera pris à partir de la page principale du site (cette option n’est pas conseillée, car le fichier ne permet pas d’identifier la version)

* `--version` le fichier à installer sera basé sur le numéro de version donné (télécharge que si nécessaire, installe que si nécessaire)

* `--home` DIR Vous permet de change le répertoire de téléchargement.

-----

## Comment récupérer le script d’installation

Vous avez deux solutions, soit vous clonez ce dépôt git, (dans ce cas la commande `git` est requise) :

```bash
mkdir ~/git-repositories # Vous voudrez sans doute utiliser un répertoire spécifique
cd ~/git-repositories    # Allez ensuite dans ce dossier

# Créer un clone du dépôt
git clone https://git.cclaude.rocks/install/xnviewmp-install.git
cd xnviewmp-install
```

Soit vous télécharger seulement la dernière version du script a l’aide de :

```bash
wget https://git.cclaude.rocks/installers/xnviewmp-install/raw/branch/master/xnviewmp-install.sh ; chmod +x xnviewmp-install.sh
```

-----

## Limitations

* Nécessite un système Linux basé sur Debian comme Ubuntu ou Linux Mint avec processeur AMD ou INTEL 64 bits.

