﻿xnviewmp-install
================

Recent versions of **XnViewMP** on Debian, Ubuntu, Linux Mint platforms must be installed from a deb file.

This script supports finding the latest version for your platform and installs it. This script will also remove all other versions of your system before installing the new version.

Warning: There is no longer a recent version of **XnViewMP** for 32-bit architectures. ARM architectures are not supported.

-----

## Typical usage

```bash
sudo ./xnviewmp-install.sh -i
```

This look for last version according to your architecture.

If you don't want to download this script, you can run:

```bash
curl -s https://git.cclaude.rocks/installers/xnviewmp-install/raw/branch/master/xnviewmp-install.sh | sudo bash
```

-----

## Other usages

* Display help

```bash
./xnviewmp-install.sh --help
```

* List all version numbers available on **XnViewMP** web site

```bash
./xnviewmp-install.sh --list
```

* List all version available on **XnViewMP** web site (then you can see witch architecture is supported on witch version)

```bash
./xnviewmp-install.sh --list-fullname
```

* Download and install **XnViewMP**

```bash
./xnviewmp-install.sh --install [--home DIR] [--version VER|--last-default-version]
```

By default (if options _--version_ and _--last-default-version_ are not present), version is computed
based on content of download page (download if needed, install if needed)/(best choice)

-----

## Options

* `--last-default-version` file to install is take from web site home page (discouraged, because file is not versionned).

* `--version` file to install is based on given version (download if needed, install if needed)

* `--home` allow you to define download directory location.

-----

## Getting the script

You have two options, first you can clone this repository:

```bash
mkdir ~/git-repositories # you might want to do this in a specific folder
cd ~/git-repositories    # so just go inside this folder

# Then clone this repository
git clone https://git.cclaude.rocks/install/xnviewmp-install.git
cd xnviewmp-install
```

Second solution, just download last version this script:

```bash
wget https://git.cclaude.rocks/installers/xnviewmp-install/raw/branch/master/xnviewmp-install.sh ; chmod +x xnviewmp-install.sh
```

-----

## Limitations

* Required a Debian based Linux

